import { Component } from "@angular/core";

@Component({
	selector: 'custom-component',
	template: `
	<div>
		<button type="button" (click)="myClick()">Click Me</button> <span>{{clickedStatus}}</span>
	</div>
	`
})
export class CustomComponent {
	private clickedStatus: string;

	constructor() {
		this.clickedStatus = "not clicked";
	}
	myClick() {
		this.clickedStatus = "clicked!";
	}
}
